Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.java2d
Class Java2DDocumentHandler

    java.lang.Object
      org.apache.fop.render.java2d.Java2DDocumentHandler

All Implemented Interfaces:
  IFDocumentHandler

    public class Java2DDocumentHandler

extends java.lang.Object
implements IFDocumentHandler

`IFDocumentHandler` implementation that produces Graphics2D instance.

Constructor Summary
`Java2DDocumentHandler()`

Method Summary
`void` | `endDocument()` Indicates the end of a document.
`void` | `endDocumentHeader()` Indicates the end of the document header.
`void` | `endDocumentTrailer()` Indicates the end of the document trailer.
`void` | `endPage()` Indicates the end of a page
`void` | `endPageContent()` Indicates the end of the page content.
`void` | `endPageHeader()` Indicates the end of the page header.
`void` | `endPageSequence()` Indicates the end of a page sequence.
`void` | `endPageTrailer()` Indicates the end of the page trailer.
`IFDocumentHandlerConfigurator` | `getConfigurator()` Returns the configurator for this document handler, if any.
`IFContext` | `getContext()` Returns the associated intermediate format context object.
`IFDocumentNavigationHandler` | `getDocumentNavigationHandler()` Returns a document navigation handler if this feature is supported.
`FontInfo` | `getFontInfo()` Returns the font set to work with.
`java.lang.String` | `getMimeType()` Returns the MIME type of the output format that is generated by this implementation.
`StructureTreeEventHandler` | `getStructureTreeEventHandler()`
`void` | `handleExtensionObject(java.lang.Object extension)` Handles an extension object.
`void` | `setContext(IFContext context)`
`void` | `setDefaultFontInfo(FontInfo fontInfo)` Sets the default font set (with no custom configuration).
`void` | `setDocumentLocale(java.util.Locale locale)`
`void` | `setFontInfo(FontInfo fontInfo)` Sets the font set to work with.
`void` | `setResult(javax.xml.transform.Result result)` Sets the JAXP Result object to receive the generated content.
`void` | `startDocument()` Indicates the start of a document.
`void` | `startDocumentHeader()` Indicates the start of the document header.
`void` | `startDocumentTrailer()` Indicates the start of the document trailer.
`void` | `startPage(int index, java.lang.String name, java.lang.String pageMasterName, java.awt.Dimension size)` Indicates the start of a new page.
`IFPainter` | `startPageContent()` Indicates the start of the page content.
`void` | `startPageHeader()` Indicates the start of the page header.
`void` | `startPageSequence(java.lang.String id)` Indicates the start of a new page sequence.
`void` | `startPageTrailer()` Indicates the start of the page trailer.
`boolean` | `supportsPagesOutOfOrder()` Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java2DDocumentHandler

    public Java2DDocumentHandler()

Method Detail

### setContext

    public void setContext(IFContext context)

### getContext

    public IFContext getContext()

  Description copied from interface: `IFDocumentHandler`
  Returns the associated intermediate format context object.

  Specified by:
    `getContext` in interface `IFDocumentHandler`
  Returns:
    the context object

### setResult

    public void setResult(javax.xml.transform.Result result)
                   throws IFException

  Description copied from interface: `IFDocumentHandler`
  Sets the JAXP Result object to receive the generated content.

  Specified by:
    `setResult` in interface `IFDocumentHandler`
  Parameters:
    `result` - the JAXP Result object to receive the generated content
  Throws:
    `IFException` - if an error occurs setting up the output

### setFontInfo

    public void setFontInfo(FontInfo fontInfo)

  Description copied from interface: `IFDocumentHandler`
  Sets the font set to work with.

  Specified by:
    `setFontInfo` in interface `IFDocumentHandler`
  Parameters:
    `fontInfo` - the font info object

### getFontInfo

    public FontInfo getFontInfo()

  Description copied from interface: `IFDocumentHandler`
  Returns the font set to work with.

  Specified by:
    `getFontInfo` in interface `IFDocumentHandler`
  Returns:
    the font info object

### setDefaultFontInfo

    public void setDefaultFontInfo(FontInfo fontInfo)

  Description copied from interface: `IFDocumentHandler`
  Sets the default font set (with no custom configuration).

  Specified by:
    `setDefaultFontInfo` in interface `IFDocumentHandler`
  Parameters:
    `fontInfo` - the font info object to populate

### getConfigurator

    public IFDocumentHandlerConfigurator getConfigurator()

  Description copied from interface: `IFDocumentHandler`
  Returns the configurator for this document handler, if any.

  Specified by:
    `getConfigurator` in interface `IFDocumentHandler`
  Returns:
    the configurator or null if there's no configurator

### getStructureTreeEventHandler

    public StructureTreeEventHandler getStructureTreeEventHandler()

  Specified by:
    `getStructureTreeEventHandler` in interface `IFDocumentHandler`
  Returns:
    the structure tree builder

### getDocumentNavigationHandler

    public IFDocumentNavigationHandler getDocumentNavigationHandler()

  Description copied from interface: `IFDocumentHandler`
  Returns a document navigation handler if this feature is supported.

  Specified by:
    `getDocumentNavigationHandler` in interface `IFDocumentHandler`
  Returns:
    the document navigation handler or null if not supported

### supportsPagesOutOfOrder

    public boolean supportsPagesOutOfOrder()

  Description copied from interface: `IFDocumentHandler`
  Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

  Specified by:
    `supportsPagesOutOfOrder` in interface `IFDocumentHandler`
  Returns:
    true if out-of-order handling is supported

### getMimeType

    public java.lang.String getMimeType()

  Description copied from interface: `IFDocumentHandler`
  Returns the MIME type of the output format that is generated by this implementation.

  Specified by:
    `getMimeType` in interface `IFDocumentHandler`
  Returns:
    the MIME type

### startDocument

    public void startDocument()
                       throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the start of a document. This method may only be called once before any other event method.

  Specified by:
    `startDocument` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endDocument

    public void endDocument()
                     throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.

  Specified by:
    `endDocument` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### setDocumentLocale

    public void setDocumentLocale(java.util.Locale locale)

  Specified by:
    `setDocumentLocale` in interface `IFDocumentHandler`
  Parameters:
    `locale` - Locale of the document.

### startDocumentHeader

    public void startDocumentHeader()
                             throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the start of the document header. This method is called right after the `IFDocumentHandler.startDocument()` method. Extensions sent to this painter between `IFDocumentHandler.startDocumentHeader()` and `IFDocumentHandler.endDocumentHeader()` apply to the document as a whole (like document metadata).

  Specified by:
    `startDocumentHeader` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endDocumentHeader

    public void endDocumentHeader()
                           throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the end of the document header. This method is called before the first page sequence.

  Specified by:
    `endDocumentHeader` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startDocumentTrailer

    public void startDocumentTrailer()
                              throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the start of the document trailer. This method is called after the last page sequence. Extensions sent to the painter between `IFDocumentHandler.startDocumentTrailer()` and `IFDocumentHandler.endDocumentTrailer()` apply to the document as a whole and is used for document-level content that is only known after all pages have been rendered (like named destinations or the bookmark tree).

  Specified by:
    `startDocumentTrailer` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endDocumentTrailer

    public void endDocumentTrailer()
                            throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the end of the document trailer. This method is called right before the `IFDocumentHandler.endDocument()` method.

  Specified by:
    `endDocumentTrailer` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageSequence

    public void startPageSequence(java.lang.String id)
                           throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the start of a new page sequence.

  Specified by:
    `startPageSequence` in interface `IFDocumentHandler`
  Parameters:
    `id` - the page sequence's identifier (or null if none is available)
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageSequence

    public void endPageSequence()
                         throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the end of a page sequence.

  Specified by:
    `endPageSequence` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startPage

    public void startPage(int index,
                          java.lang.String name,
                          java.lang.String pageMasterName,
                          java.awt.Dimension size)
                   throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the start of a new page.

  Specified by:
    `startPage` in interface `IFDocumentHandler`
  Parameters:
    `index` - the index of the page (0-based)
    `name` - the page name (usually the formatted page number)
    `pageMasterName` - the name of the simple-page-master that generated this page
    `size` - the size of the page (equivalent to the MediaBox in PDF)
  Throws:
    `IFException` - if an error occurs while handling this event

### endPage

    public void endPage()
                 throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the end of a page

  Specified by:
    `endPage` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageHeader

    public void startPageHeader()
                         throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the start of the page header.

  Specified by:
    `startPageHeader` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageHeader

    public void endPageHeader()
                       throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the end of the page header.

  Specified by:
    `endPageHeader` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageContent

    public IFPainter startPageContent()
                               throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the start of the page content. The method returns an `IFPainter` interface which is used to paint the page contents.

  Specified by:
    `startPageContent` in interface `IFDocumentHandler`
  Returns:
    the IFPainter for the page content
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageContent

    public void endPageContent()
                        throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the end of the page content. Calls to the `IFPainter` returned by the respective `IFDocumentHandler.startPageContent()` method are illegal.

  Specified by:
    `endPageContent` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageTrailer

    public void startPageTrailer()
                          throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the start of the page trailer. The page trailer is used for writing down page elements which are only know after handling the page itself (like PDF targets).

  Specified by:
    `startPageTrailer` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageTrailer

    public void endPageTrailer()
                        throws IFException

  Description copied from interface: `IFDocumentHandler`
  Indicates the end of the page trailer.

  Specified by:
    `endPageTrailer` in interface `IFDocumentHandler`
  Throws:
    `IFException` - if an error occurs while handling this event

### handleExtensionObject

    public void handleExtensionObject(java.lang.Object extension)
                               throws IFException

  Description copied from interface: `IFDocumentHandler`
  Handles an extension object. This can be a DOM document or any arbitrary object. If an implementation doesn't know how to handle a particular extension it is simply ignored.

  Specified by:
    `handleExtensionObject` in interface `IFDocumentHandler`
  Parameters:
    `extension` - the extension object
  Throws:
    `IFException` - if an error occurs while handling this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.